# Tag filters

## Classes

struct | TMR_TagFilter
struct | TMR_GEN2_Select
struct | TMR_ISO180006B_Select
struct | TMR_TagData

## Typedefs

typedef struct TMR_TagFilter | TMR_TagFilter
typedef struct TMR_GEN2_Select | TMR_GEN2_Select
typedef struct TMR_ISO180006B_Select | TMR_ISO180006B_Select
typedef struct TMR_TagData | TMR_TagData

## Detailed Description

Tag filters cause the reader to limit an inventory to a subset of tags (in a TMR_ReadPlan) or a tag operation to an individual tag (as a parameter to a tag operation function).

## Typedef Documentation

typedef struct TMR_GEN2_Select TMR_GEN2_Select

A single selection operation in the Gen2 protocol.

typedef struct TMR_ISO180006B_Select TMR_ISO180006B_Select

A single selection operation in the ISO18000-6B protocol.

typedef struct TMR_TagData TMR_TagData

A structure to represent RFID tags.

typedef struct TMR_TagFilter TMR_TagFilter

Structure representing a filter or subset of available tags.